# Poco::Net

# class SocketNotification

Library: Net
Package: Reactor
Header: Poco/Net/SocketNotification.h

## Description

The base class for all notifications generated by the SocketReactor.

## Inheritance

Direct Base Classes: Poco::Notification

All Base Classes: Poco::Notification, Poco::RefCountedObject

Known Derived Classes: ReadableNotification, WritableNotification, ErrorNotification, TimeoutNotification, IdleNotification, ShutdownNotification

## Member Summary

Member Functions: socket, source

Inherited Functions: duplicate, name, referenceCount, release

## Constructors

### SocketNotification

explicit SocketNotification(
SocketReactor * pReactor
);

Creates the SocketNotification for the given SocketReactor.

## Destructor

### ~SocketNotification

virtual ~SocketNotification();

Destroys the SocketNotification.

## Member Functions

### socket

Socket socket() const;

Returns the socket that caused the notification.

### source

SocketReactor & source() const;

Returns the SocketReactor that generated the notification.